package com.alibaba.opensec.sample;

public class Sample 
{	
    public static void main( String[] args )
    {
    	try {
			//////////////////////////////////////
			// 服务商接入参考：
			//////////////////////////////////////
			
			// 登陆日志上传接口示例（服务商接入、接入账号风控接入等场景）
			new TestLogin().exec();
			
			// 订单日志上传示例，主要演示批量上传方式
			new TestOrder().exec();
			
			//////////////////////////////////////
			// 企业版用户接入参考:
			//////////////////////////////////////
			
			// 企业版用户登陆日志上传接口示例(企业版用户接入场景)
			new TestLoginEvent().exec();
			
			// 企业版用户订单日志上传示例，主要演示批量上传方式
			new TestOrderEvent().exec();
			
			//////////////////////////////////////
			// 物流用户接入参考:
			//////////////////////////////////////
			
			// express_query接口调用示例
			new TestExpressQuery().exec();
			
    	} catch (Exception e) {
    		System.out.println(e);
    	}
    }
}
