package com.alibaba.opensec.sample;

import java.util.TreeMap;

import com.alibaba.opensec.ych_sdk.YchClient;

/*
 * 服务商登陆日志、账号风控登陆日志接入示例代码
 */
public class TestLogin extends BaseTest {

	public TestLogin() throws Exception {
		super();
	}

	@Override
	public void exec() {
		String url = accountHost + "login";
    	TreeMap<String, String> param = constructParam();		
		YchClient sdk = new YchClient(appkey, secret);
		String rsp = sdk.send(url, param);
		parseResult(rsp);
	}

	private TreeMap<String, String> constructParam() {	
    	TreeMap<String, String> paramMap = new TreeMap<String, String>(String.CASE_INSENSITIVE_ORDER);

    	paramMap.put("time", defaultParam.get("ntime"));
		paramMap.put("ati", defaultParam.get("ati"));
		paramMap.put("userId", defaultParam.get("userId"));
		paramMap.put("tid", defaultParam.get("userId"));
		paramMap.put("userIp", defaultParam.get("userIp"));
		paramMap.put("topAppKey", topAppkey);
		paramMap.put("appName", defaultParam.get("appName"));
		paramMap.put("loginResult", "success");
		paramMap.put("loginMessage", "附加信息");

		return paramMap;
	}
}
